{
    "type": "minecraft:crafting_shaped",
    "pattern": [
      "rrr",
      "rsr",
      "rrr"
    ],
    "key": {
      "r": {
        "item": "minecraft:iron_ingot"
      },
      "s": {
        "item": "shieldexp:wooden_shield"
      }
    },
    "result": {
      "item": "shieldexp:iron_shield"
    }
  }